#include "mytimer.h"
#include "webservercontrol.h"
#include <QDate>
#include <QDateTime>

MyTimer::MyTimer(QObject *parent)
	: QTimer(parent)
{
	m_bRuning = true;
}

MyTimer::~MyTimer()
{

}

void MyTimer::timout_Slot()
{
	WebServerControl::GetInstance()->CalcAver();
	WebServerControl::GetInstance()->CalcdeviationCompensation();
}

void MyTimer::CreateRunableFactory()
{
	m_pRunable = new NetItemRunable;
	m_pRunable->Init();
}
